Bug 246074 - e2fsprogs dies on alpha when testing fat
Summary: e2fsprogs dies on alpha when testing fat
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 11:57 UTC by Oliver Falk
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 21:49:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Falk 2007-06-28 11:57:48 UTC
Description:
*** tests/fat32_label_64MB.out  2007-06-28 13:02:14.000000000 +0200
--- ./tests/fat32_label_64MB.results    2005-09-11 03:32:12.000000000
+0200****************** 1 ****
! ./tst_probe: /tmp/test.img.19334 has an unsupported type
--- 1,3 ----
! TYPE='vfat'
! LABEL='BINGO'! UUID='8CB5-BA49'

Version-Release number of selected component (if applicable): 1.39-15

I would suggest the following for now and report upstream:

Index: e2fsprogs.spec
===================================================================
RCS file: /cvs/extras/devel/e2fsprogs/e2fsprogs.spec,v
retrieving revision 1.74
diff -u -p -r1.74 e2fsprogs.spec
--- e2fsprogs.spec      25 Jun 2007 21:37:02 -0000      1.74
+++ e2fsprogs.spec      28 Jun 2007 11:54:28 -0000
@@ -151,6 +151,9 @@ make install install-libs DESTDIR="%{bui
 %find_lang %{name}
 
 %check
+%ifarch alpha
+rm -f lib/blkid/tests/*fat*
+%endif
 make check
 
 %clean

Comment 1 Eric Sandeen 2007-06-28 20:33:05 UTC
Thanks - Would it be possible for you to test e2fsprogs from the Hg repo to see
if "make check" fails on the latest upstream code as well?

-Eric

Comment 2 Oliver Falk 2007-07-17 09:03:54 UTC
[root@gosa e2fsprogs-upstream]# head -1 RELEASE-NOTES 
E2fsprogs 1.40 (June 29, 2007)

[root@gosa blkid]# ./test_probe 
cramfs: ok
ext2: ok
ext3: ok
fat32_label_64MB: ok
fat: ok
iso: ok
jbd: ok
jfs: ok
minix: ok
ocfs2: ok
reiser3: ok
reiser4: ok
romfs: ok
small-fat32: ok
swap0: ok
swap1: ok
xfs: ok
17 tests succeeded      0 tests failed


Result's better!

Comment 3 Eric Sandeen 2007-07-17 14:37:09 UTC
Good news... I'm almost ready to push e2fsprogs 1.40.2 into Fedora devel, and
FC[67] soon after that.

Thanks,

-Eric

Comment 4 Oliver Falk 2007-07-17 15:13:06 UTC
Well, let me know via this BZ and I'll try a rebuild of the spec.

Comment 5 Eric Sandeen 2007-07-18 17:10:19 UTC
Hi, you can find the latest src.rpm at
http://koji.fedoraproject.org/packages/e2fsprogs/1.40.2/2.fc8/src/ now, thanks!

-Eric

Comment 6 Oliver Falk 2007-07-18 21:49:17 UTC
Thx Eric, works fine now!


Note You need to log in before you can comment on or make changes to this bug.